## plotnetcfg 0.4.1

=== Makefile ===
ifeq ($(jansson),)
libs=$(shell pkg-config --libs jansson)
else
libs=$(jansson)/src/.libs/libjansson.a
INCLUDE=-I$(jansson)/src
endif
CFLAGS=-W -Wall $(INCLUDE)

all: check-libs plotnetcfg

plotnetcfg: args.o ethtool.o frontend.o handler.o if.o label.o main.o match.o netlink.o \
	    netns.o tunnel.o utils.o \
	    handlers/bridge.o handlers/master.o handlers/openvswitch.o handlers/veth.o \
	    handlers/vlan.o \
	    frontends/dot.o frontends/json.o
	gcc -o $@ $+ $(libs)

args.o: args.c args.h
ethtool.o: ethtool.c ethtool.h
frontend.o: frontend.c frontend.h args.h utils.h
handler.o: handler.c handler.h if.h netns.h
if.o: if.c if.h compat.h ethtool.h handler.h label.h netlink.h utils.h
label.o: label.h label.c utils.h
main.o: main.c args.h frontend.h handler.h netns.h utils.h version.h
match.o: match.c match.h if.h netns.h
netlink.o: netlink.c netlink.h utils.h
netns.o: netns.c netns.h compat.h handler.h if.h match.h utils.h
tunnel.o: tunnel.c tunnel.h handler.h if.h match.h netns.h utils.h tunnel.h
utils.o: utils.c utils.h if.h netns.h

handlers/bridge.o: handlers/bridge.c handlers/bridge.h handler.h
handlers/master.o: handlers/master.c handlers/master.h handler.h match.h utils.h
handlers/openvswitch.o: handlers/openvswitch.h args.h handler.h label.h match.h netlink.h tunnel.h utils.h
handlers/veth.o: handlers/veth.c handlers/veth.h handler.h match.h utils.h
handlers/vlan.o: handlers/vlan.c handlers/vlan.h handler.h netlink.h

frontends/dot.o: frontends/dot.c frontends/dot.h frontend.h handler.h if.h label.h netns.h \
		 utils.h version.h
frontends/json.o: frontends/json.c frontends/json.h frontend.h if.h label.h netns.h utils.h \
		  version.h

version.h:
	echo "#define VERSION \"`git describe 2> /dev/null || cat version`\"" > version.h

clean:
	rm -f version.h *.o frontends/*.o handlers/*.o plotnetcfg

install: plotnetcfg
	install -d $(DESTDIR)/usr/sbin/
	install plotnetcfg $(DESTDIR)/usr/sbin/
	install -d $(DESTDIR)/usr/share/man/man8/
	install -d $(DESTDIR)/usr/share/man/man5/
	install -m 644 plotnetcfg.8 $(DESTDIR)/usr/share/man/man8/
	install -m 644 plotnetcfg-json.5 $(DESTDIR)/usr/share/man/man5/

.PHONY: check-libs
check-libs:
	@if [ "$(libs)" = "" ]; then \
	echo "ERROR: libjansson not found."; \
	exit 1; \
	fi

=== debian/changelog ===
plotnetcfg (0.4.1-2) unstable; urgency=medium

  * plotnetcfg requires Linux, limit the architectures accordingly.
  * Switch to https: VCS URIs (see #810378).
  * Enable all hardening options.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Apr 2016 23:45:08 +0200

plotnetcfg (0.4.1-1) unstable; urgency=low

  * Initial release. Closes: #799344.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Sep 2015 19:47:55 +0200

=== debian/control ===
Source: plotnetcfg
Maintainer: Stephen Kitt <skitt@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               libjansson-dev,
               pkg-config
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/plotnetcfg.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/plotnetcfg.git
Homepage: https://github.com/jbenc/plotnetcfg

Package: plotnetcfg
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: local networking configuration diagram plotter
 plotnetcfg is a lightweight tool capable of scanning a machine's
 network configuration and producing a diagram of the local network
 hierarchy. It supports scanning across network namespaces, most types
 of network interfaces, and understands the specifics of VLANs,
 bridges, veth pairs and Open vSwitch.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/plotnetcfg-$1.tar.gz/" \
         https://github.com/jbenc/plotnetcfg/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
